window.addEventListener('load', function () {
    document.getElementById("login-form").onsubmit = function (event) {
        event.preventDefault();
        event.stopPropagation();

        request('/common/api/user/login.php', '#login-form', function (data) {
            try {
                data = JSON.parse(data);
                if (!(data instanceof Array)) {
                    new Toast({
                        type: "danger",
                        title: "Bir şeyler ters gitti.",
                        message: "Lütfen daha sonra tekrar deneyiniz.",
                        close: false
                    });
                } else {
                    if (data[0]['status']) {
                        window.location = data[0]['redirect'];
                    } else {
                        new Toast({
                            type: "danger",
                            message: data[0]['message'],
                            close: false
                        });
                    }
                }
            } catch (e) {
                new Toast({
                    type: "danger",
                    message: "Bilinmeyen bir hata oluştu. Lütfen daha sonra tekrar deneyiniz.",
                    close: false
                });
            }
        });
    };
});